Loading...
Searching...
No Matches
generic_binary_traits< plus >::hint< A1, undeterminated_basic< A2 >, R >

## Detailed Description

Definition at line 494 of file expression.h.

## Public Types

typedef A1 | first_argument_type
typedef std::conditional< details::is_equal< A1, R >::value, R, binop_error< details::plus, A1, A2, R > >::type | second_argument_type
typedef R | result_type

## Static Public Member Functions

static space_constant::valued_type | valued_tag (space_constant::valued_type, space_constant::valued_type)

## Member Typedef Documentation

## first_argument_type

typedef A1 first_argument_type

Definition at line 495 of file expression.h.

## second_argument_type

typedef std::conditional<details::is_equal<A1,R>::value,R,binop_error<details::plus,A1,A2,R>>::type second_argument_type

Definition at line 500 of file expression.h.

## result_type

typedef R result_type

Definition at line 501 of file expression.h.

## Member Function Documentation

## valued_tag()

space_constant::valued_type valued_tag | ( | space_constant::valued_type | ,
|  | space_constant::valued_type | )

static

Definition at line 422 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/expression.h